Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.net.protocol.http
Class DavURLLister

    java.lang.Object
      org.jboss.net.protocol.URLListerBase
          org.jboss.net.protocol.http.DavURLLister

All Implemented Interfaces:
  URLLister

public class DavURLLister
extends URLListerBase

Nested Class Summary

Nested classes inherited from class org.jboss.net.protocol.URLListerBase
`URLListerBase.URLFilterImpl`

Nested classes inherited from class org.jboss.net.protocol.URLLister
`URLLister.URLFilter`

Field Summary

Fields inherited from class org.jboss.net.protocol.URLListerBase
`acceptAllFilter`

Constructor Summary
`DavURLLister()`

Method Summary
`protected static String` | `getFilePartFromUrl(String name)`
`Collection` | `listMembers(URL baseUrl, URLLister.URLFilter filter)` List the members of the given collection that are accepted by the filter
`Collection` | `listMembers(URL baseUrl, URLLister.URLFilter filter, boolean scanNonDottedSubDirs)` List the members of the given collection that are accepted by the filter

Methods inherited from class org.jboss.net.protocol.URLListerBase
`listMembers, listMembers`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DavURLLister

    public DavURLLister()

Method Detail

### listMembers

    public Collection listMembers(URL baseUrl,
                                  URLLister.URLFilter filter)
                           throws IOException

  Description copied from interface: `URLLister`
  List the members of the given collection that are accepted by the filter

  Parameters:
    `baseUrl` - the URL to list; must end in "/"
    `filter` - a filter that is called to determine if a member should be returned
  Returns:
    a Collection of URLs that match
  Throws:
    `IOException` - if there was a problem getting the list

### listMembers

    public Collection listMembers(URL baseUrl,
                                  URLLister.URLFilter filter,
                                  boolean scanNonDottedSubDirs)
                           throws IOException

  Description copied from interface: `URLLister`
  List the members of the given collection that are accepted by the filter

  Parameters:
    `baseUrl` - the URL to list; must end in "/"
    `filter` - a filter that is called to determine if a member should be returned
    `scanNonDottedSubDirs` - enables recursive search for directories containing no dots
  Returns:
    a Collection of URLs that match
  Throws:
    `IOException` - if there was a problem getting the list

### getFilePartFromUrl

    protected static final String getFilePartFromUrl(String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.